Package org.apache.jmeter.report.processor

# Class AbstractSummaryConsumer.SummaryInfo

java.lang.Object
org.apache.jmeter.report.processor.AbstractSummaryConsumer.SummaryInfo

Enclosing class:
  AbstractSummaryConsumer<TData>

protected class AbstractSummaryConsumer.SummaryInfo extends Object
The class SummaryInfo stores intermediate results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SummaryInfo(boolean isController)`
  Instantiates a new summary info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final TData`
  `getData()`
  Gets the data to store.
  `final boolean`
  `isController()`
  Checks if these information implies controller sample.
  `final void`
  `setData(TData data)`
  Sets the data to store.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SummaryInfo

    public SummaryInfo(boolean isController)
    Instantiates a new summary info.
    Parameters:
      `isController` - true, if these information implies only controller samples; false otherwise

- ## Method Details

  - ### isController

    public final boolean isController()
    Checks if these information implies controller sample.
    Returns:
      true, if is controller

  - ### getData

    public final TData getData()
    Gets the data to store.
    Returns:
      the data to store

  - ### setData

    public final void setData(TData data)
    Sets the data to store.
    Parameters:
      `data` - the new data to store